## ros-iron-rmf-dev 0.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rmf_dev NONE)

find_package(ament_cmake REQUIRED)

ament_package()

=== debian/changelog ===
ros-iron-rmf-dev (0.0.1-1jammy) jammy; urgency=high

  * Define rmf_dev variant
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Tue, 06 Jun 2023 16:00:00 -0000

=== debian/control ===
Source: ros-iron-rmf-dev
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rmf-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-iron-ament-cmake-catch2, ros-iron-menge-vendor, ros-iron-nlohmann-json-schema-validator-vendor, ros-iron-pybind11-json-vendor, ros-iron-rmf-api-msgs, ros-iron-rmf-battery, ros-iron-rmf-building-map-msgs, ros-iron-rmf-building-map-tools, ros-iron-rmf-building-sim-common, ros-iron-rmf-building-sim-gz-classic-plugins, ros-iron-rmf-building-sim-gz-plugins, ros-iron-rmf-charger-msgs, ros-iron-rmf-dispenser-msgs, ros-iron-rmf-door-msgs, ros-iron-rmf-fleet-adapter, ros-iron-rmf-fleet-adapter-python, ros-iron-rmf-fleet-msgs, ros-iron-rmf-ingestor-msgs, ros-iron-rmf-lift-msgs, ros-iron-rmf-obstacle-msgs, ros-iron-rmf-robot-sim-common, ros-iron-rmf-robot-sim-gz-classic-plugins, ros-iron-rmf-robot-sim-gz-plugins, ros-iron-rmf-scheduler-msgs, ros-iron-rmf-site-map-msgs, ros-iron-rmf-task, ros-iron-rmf-task-msgs, ros-iron-rmf-task-ros2, ros-iron-rmf-task-sequence, ros-iron-rmf-traffic, ros-iron-rmf-traffic-editor, ros-iron-rmf-traffic-editor-assets, ros-iron-rmf-traffic-editor-test-maps, ros-iron-rmf-traffic-examples, ros-iron-rmf-traffic-msgs, ros-iron-rmf-traffic-ros2, ros-iron-rmf-utils, ros-iron-rmf-visualization, ros-iron-rmf-visualization-building-systems, ros-iron-rmf-visualization-fleet-states, ros-iron-rmf-visualization-floorplans, ros-iron-rmf-visualization-msgs, ros-iron-rmf-visualization-navgraphs, ros-iron-rmf-visualization-obstacles, ros-iron-rmf-visualization-rviz2-plugins, ros-iron-rmf-visualization-schedule, ros-iron-rmf-websocket, ros-iron-rmf-workcell-msgs, ros-iron-ros-workspace
Description: A package to aggregate the packages required for a minimal installation of Open-RMF

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/iron/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/iron" \
		-DAMENT_PREFIX_PATH="/opt/ros/iron" \
		-DCMAKE_PREFIX_PATH="/opt/ros/iron" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-iron-rmf-dev//opt/ros/iron/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/iron/setup.sh" ]; then . "/opt/ros/iron/setup.sh"; fi && \
	dh_auto_install
